io.netty.handler.codec.mqtt

## Class MqttProperties.MqttProperty<T>

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttProperties.MqttProperty<T>

Type Parameters:
  `T` - property type

Direct Known Subclasses:
  MqttProperties.BinaryProperty, MqttProperties.IntegerProperty, MqttProperties.StringProperty, MqttProperties.UserProperties, MqttProperties.UserProperty

Enclosing class:
  MqttProperties

    public abstract static class MqttProperties.MqttProperty<T>
    extends Object

MQTT property base class

### Constructor Summary

Constructors
`protected` `MqttProperty(int propertyId, T value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `hashCode()`
`int` `propertyId()` Get MQTT property ID
`T` `value()` Get MQTT property value

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MqttProperty

    protected MqttProperty(int propertyId,
                           T value)

### Method Detail

#### value

    public T value()

Get MQTT property value

Returns:
  property value

#### propertyId

    public int propertyId()

Get MQTT property ID

Returns:
  property ID

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`